## espeak 1.45.25-1

=== Makefile ===
PACKAGE:=espeak
VERSION:=1.45.25
# Release
# URLS=$(URL_SFNET)/espeak
# Test
URLS=http://espeak.sourceforge.net/test

#SOURCE:=espeak-$(VERSION)-source.zip
SOURCE:=espeak-$(VERSION).zip

include ../Rules.make

ifeq ($(IS_FREMANTLE),y)
ADRIVER:=pulseaudio
else
ADRIVER:=portaudio19
endif

debian/control:: debian/control.in Makefile debian/rules debian/changelog
	@echo "*** Using audio driver: $(ADRIVER)"
	sed -e s,@AUDIODRIVER@,$(ADRIVER), debian/control.in > debian/control

clean::
	rm -f debian/control

=== debian/changelog ===
espeak (1.45.25-1) stable; urgency=low

  * Fix dependency versions

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 13 May 2011 12:25:00 +0300

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
IS_DIABLO=$(shell if grep Diablo /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)

DEB_TAR_SRCDIR:=espeak-1.45.25
#DEB_TAR_SRCDIR:=espeak-1.45.03-source/src
DEB_DESTDIR=$(CURDIR)/debian/tmp
#DEB_MAKE_BUILD_TARGET:=all AUDIO=none
#DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR) AUDIO=none

# Pulseaudio for Fremantle, portaudio for the rest
# And move data files to /opt, this sucks so bad
ifeq ($(IS_FREMANTLE),y)
DEB_MAKE_BUILD_TARGET:=all AUDIO=pulseaudio DATADIR=/opt/espeak/data
DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR) AUDIO=pulseaudio DATADIR=/opt/espeak/data
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8 -mfpu=neon -mfloat-abi=softfp
ES_DATA_DIR=/opt/espeak/data
else
DEB_MAKE_BUILD_TARGET:=all AUDIO=portaudio
DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR) AUDIO=portaudio
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
ES_DATA_DIR=/usr/share/espeak-data
endif

# Make sure we get properly optimized
DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe -march=i686 -mtune=pentium2
DEB_OPT_FLAG:=$(DEB_OPT_FLAG_$(DEB_HOST_ARCH))

DEB_MAKE_INVOKE = $(DEB_MAKE_ENVVARS) make -C $(DEB_BUILDDIR)/src

include /usr/share/cdbs/1/rules/tarball.mk

configure/espeak::
	-make -C build-tree/$(DEB_TAR_SRCDIR)/src clean
	cp build-tree/$(DEB_TAR_SRCDIR)/src/portaudio19.h build-tree/$(DEB_TAR_SRCDIR)/src/portaudio.h
ifeq ($(IS_FREMANTLE),y)
	sed -i -e s,/usr/share/espeak-data,/opt/espeak/data, build-tree/$(DEB_TAR_SRCDIR)/src/speech.h
	sed -e s,@DATADIR@,/opt/espeak/data, debian/espeak-data.install.in > debian/espeak-data.install 
else
	sed -e s,@DATADIR@,/usr/share/espeak-data, debian/espeak-data.install.in > debian/espeak-data.install 
endif

# argh, stupid software writes directly to DATADIR even if not installed yet, need to pre-generate and package those instead
build/espeak::
	make -C build-tree/$(DEB_TAR_SRCDIR)/src $(DEB_MAKE_BUILD_TARGET)

espeak-compile-extras:
	@echo "Building extra languages data"
	cp ru_listx zh_listx zhy_list build-tree/$(DEB_TAR_SRCDIR)/dictsource/
	cd build-tree/$(DEB_TAR_SRCDIR)/dictsource/ && ./src/espeak --compile=ru
	cd build-tree/$(DEB_TAR_SRCDIR)/dictsource/ && ./src/espeak --compile=zh-yue
	cd build-tree/$(DEB_TAR_SRCDIR)/dictsource/ && ./src/espeak --compile=zh

install/espeak-data::
	rm debian/tmp/$(ES_DATA_DIR)/ru_dict
	rm debian/tmp/$(ES_DATA_DIR)/zhy_dict
	rm debian/tmp/$(ES_DATA_DIR)/zh_dict
	install -m 644 debian/fi_dict debian/tmp/$(ES_DATA_DIR)/fi_dict

install/espeak::
	strip -g debian/tmp/usr/bin/espeak

## espeak 1.45.26

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE:=espeak
-VERSION:=1.45.25
+VERSION:=1.45.26
 # Release
 # URLS=$(URL_SFNET)/espeak
 # Test

=== debian/changelog ===
espeak (1.45.26) stable; urgency=low

  * New upstream test release.
  * Upstream changes:
  * - Fix unbounded strcpy leading to segfault
  * - Pronounciation fixes for voices: de, en, hu, nl

 -- Kaj-Michael Lang <milang@tal.org>  Mon, 16 May 2011 13:36:00 +0300

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 IS_DIABLO=$(shell if grep Diablo /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=espeak-1.45.25
+DEB_TAR_SRCDIR:=espeak-1.45.26
 #DEB_TAR_SRCDIR:=espeak-1.45.03-source/src
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 #DEB_MAKE_BUILD_TARGET:=all AUDIO=none

## espeak 1.45.28

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE:=espeak
-VERSION:=1.45.26
+VERSION:=1.45.28
 # Release
 # URLS=$(URL_SFNET)/espeak
 # Test

=== debian/changelog ===
espeak (1.45.28) stable; urgency=low

  * New upstream test release.
  * Upstream changes:
  * - Pronounciation fixes for voices: cs, de, el, en, es, fr, nl, sv, ta
  * - adjustment of mbrola voice volume
  * - fixes to MARK event handling in some special cases

 -- Kaj-Michael Lang <milang@tal.org>  Mon, 30 May 2011 12:13:00 +0300

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 IS_DIABLO=$(shell if grep Diablo /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=espeak-1.45.26
+DEB_TAR_SRCDIR:=espeak-1.45.28
 #DEB_TAR_SRCDIR:=espeak-1.45.03-source/src
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 #DEB_MAKE_BUILD_TARGET:=all AUDIO=none

## espeak 1.45.29

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE:=espeak
-VERSION:=1.45.28
+VERSION:=1.45.29
 # Release
 # URLS=$(URL_SFNET)/espeak
 # Test

=== debian/changelog ===
espeak (1.45.29) stable; urgency=low

  * New upstream test release.
  * Upstream changes:
  * - Pronounciation fixes for voices: de, en, hu and ta
  * - Adjustments to pitch and noun handling

 -- Kaj-Michael Lang <milang@tal.org>  Mon, 06 Jun 2011 11:47:00 +0300

=== debian/control ===
Source: espeak
Priority: optional
Maintainer: Kaj-Michael Lang
Build-Depends: debhelper (>= 4.1.0), cdbs, pulseaudio-dev
Standards-Version: 3.8.0

Package: espeak
Architecture: any
Section: user/multimedia
XB-Maemo-Display-Name: eSpeak - CLI Speech synthesizer 
Depends: ${shlibs:Depends}, libespeak (= ${binary:Version}), espeak-data (= ${binary:Version})
Description: Speech synthesizer for English and other languages
 eSpeak is a compact open source software speech synthesizer for English and other languages.
 This software can only be run from the command line.
 You can find more information about eSpeak at http://espeak.sourceforge.net/
XSBC-Bugtracker: mailto:milang@tal.org
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oDCQs1EYENrRYAAA1vSURBVGjetZp7rGV3Vcc/a/323ufcc+88zlQ7
 TNuhnTmBjoSWUpA0oPjECQXUEEkIMWhBpdCoiRo1CJhU/7HKo0YtlJj4ACJI
 pA8wGJSHhEKhpbS0SNredngI0zLT3Zl7Xnvv328t/zj73DkzvTP3ThlX8ss+
 59y99/ms9Vt7/b7rd66wYNu3bzvY7XR/IQTdF0LIO0VheZ6lkOVNVVfRkkV3
 M3eSiEYRUkoxgUSHlJommidTzaIGjSnGxsxiCFkKISQ3M3OLz0b7BK2+nYfD
 ItIEDY1DAzQiUgWVWkQbDVK7ee3udUqpRrQKIhNg+sA3H4wAAnDJs56VhRRv
 ftZg3zVZUFJsCEHJsoAAyQx3JyUjJcPMzMzd3JKZJZu9So4nM6K7JXdP7jS4
 N47X7tTgFch0b1VfXOD+cFF8EZEJzkiEkcNIYAiMRGQIjMBHZj4y87HDWFUn
 7kzMfXjf1x9oMoCVTnHdlZddcc3jR47Ygw8/YuPJBDObeQeOCAIugjsAYgLu
 js0OGO4GJBBDPIEkgfYzrD3Hg3u40PwiAXGVh36g+i1ETGbnJYQEEgUi0CA0
 gkQRaVQlhpDFXq9neRayF1xxecou/bED+f6LL/qN48eP85+f+byllERDEAFE
 ABNQfJ5mgjiCMoMLgImIz9+rSEIQEG0vcREcxIB4oXDBRDRD4CLkhYfwb6eZ
 A4ZIFJEos1RqB40gNSKNqjaqISaztLK8bKoi2Xg0vmRlubfvzrvu8WQmRVHI
 PLVIQBeoT0Ky9s8BZo4JkEO3htHsTERk/dFyEMfdRPDzRfdk7cVLsOtKeO6d
 Zp8GmYr4VGACTGbvmdDmfFCtHGoRjU3dxIlOrCgK106RXzgajpafPHY8ZSHM
 eBrwCiF3yd/ZiFyexGvEp+AO7i7uTjskuBfqruquZm6zYcnNo5tHM6vNvTrf
 6ffMlnIzOg4dMy51rtxvvsNSGqZkwxjTMKY0SrP345TSxJJNY0xVbGLdNHVT
 N02aTKs0qWpXLO2Y1jVVVbtIm4nnuxQ3NfQeqSneZPT+O9K9vUaea3jt4jg+
 MzL3PLiLuFO45+4eZ4PGoTb3qbtPM/d4MVzcRVgSWHKnB6xA8TLVqwv3iZmt
 mfvQzIfJbBRTGsWYxjHFaYyxamLT1E0Tq7pOdVX5I4886prMlqu6wVKazXeC
 4sZI51ojflGInxfi54T8lU739kbY7k7EAM9Aszazslm2FZ1ZdlRA5S28u08O
 iAy2QWcJ6CH0gOV27IF9b8iynzWzNXdfc/ehmY3MfOLuUzOvklkTY4opJUsx
 +eNHjjqAZlm+1MSImTkmyBKEqxybwvQ1GXavUL0ps+pd6vYldenjOB5Acwhz
 +ABkIuwS2VmI+BwcmOwTOX+PyO4lkXXoZWBZhBURlkV4nshrfi3L9rv7yN1H
 wESEqZlXZtYAEfdUVbWtDYfrRSVT1U7TJBxHVNwr8IcgPBM670voJY48w6l+
 P0uAS4ZrhhSQ6ezhRVv4HOiIhGe67z0KjzrYJar7ntHC91ro5cUj0Ju9zl6R
 ZX981P21H0/piIhUZlYBjaqmlFKKMfq8cMwt7Ny58yfyvDj4+OM/iCKikpB0
 r0h4qZMfdMJ+yF5nEl5s4qti9h2xbqDIQObwuQjFDJ5iBhR2i5y3V3XPTpGV
 3gL0CrCyEPnl1rHe7LOdPx7Chbek9NHqBHyMMVpK6SnwzL5fOikZ63/MwL6m
 Nr4it/HLM4t3ifuj4vkrXHqfinn3edbJGmSeNvmJyNNpq24HWBJh6UR01+EX
 I784G0vttTtFXn5bt/u6rcADqJkV7jY7wYGue/gpQ19gNJ9Us/uFycGsmb5D
 o2yDcNAlLOR8AXTnM9BCnA7+1MgvL5zbBQoRMmCXyPV3LC8/p2maM8IDqIaQ
 m5kBLlGS7IKlTze69G9Rda/PLi0wLVCAMIUMWYfvbAC/mOsrp8K3r0+CF6Fo
 Z7KYJcGOnXDrQzt29M4ED6AiUvhMxxg5+LfE6r8Mpntg+cEmy15l0ruj6RZv
 M7VvQrhFKQS6UehGodPAUoTlKKwkYdnOEPn2s96Co90WPF8oCDoDuwh4/2q/
 r2dyIMtCKNw9iogjOBlevzXEdJ9odtAku9pU7hHxdyv5B5XuYUXPA9/mzCqv
 EB0an6VVZyKsDNcfyvXZWDx228jPZy9vS/EC/JzvtcBXgHed1gFRFZ+l0Gy0
 /sYPaYwf0tT7q7hSvDuQf0/JZfalo1dHJr8bEW9V0UztgMCef8jY/7cdllRQ
 eKyBw4fN/mef6oEleM6SSNHdGvzcrl/t9+8clOUXNnJADhw4cCPw64cOHUpA
 7u7qM9GcOlAsFXSyps1PEQp3wpKQdXyW9y6z3Gd23N4Iu2qpDrl/7JYYb2/c
 j4vImoiMXigSriuKg5eIXNsV2ZMvLIKyMfzcjgIvHZTlNzaqQubuEUgiMp+J
 1KrFTl4JhZ+AL0RYnsDOUtlVKucdU370eGD3ceWCNfVeJd+5LcY/+2iMt0Y4
 1sIP3X30FbPD11TV+z4Q41XABzLwcPrIL9p5wMdX+/3zN3Rg3nS0x6Tg22Al
 EyFXKPQEfBfoqtAN0A2w1I5uwA6Jf/xvYnP9g+4PA8eBNREZmtkYGIvI1N2r
 99f10avG4zfW8BKBz8mZ4ee2D/iP1X5/x8llVNXahzgy64LidljJRaRo0yZ3
 pzOHn1cRYEV1vghNv5zSe2+L8dY5ODBs4UciMhaRibtXZlaragOkK44d+5KK
 /DxwFXD9Fpy4AvjX1X6/WHfA3dM88iKStoksF6qabwC/tFAC56unu3/n32N8
 513ud7fg8/EUeHevQwjR3VNd1+buPijLOCjLO4EeW7OXAX+/XoWA6O4Ns7TZ
 0RPpSvuHk9JmYXXtzRzxNff7PhXjh0t4bA7dps3IzMYt/FyU1aoazcyaprHF
 BWq1398PvIWt26+u9vvfA96RtWlTb4edO2A7Iqj7etWZw3cX6vjY/aFvmt1x
 j9lXRWQN93V4YNxGfiIiUzOrzwTf2pvPYgbm9odAmQFx2azbU90dAdwJbeQ7
 7idHvj12oXuL2d0isuYn4IfAyN3HLfykhW9a+NQ0zVN0zWq//2zgurMAf6BN
 oQ8Bj2cHmmZvA3uPtOUM95nOcWepjfxcGiwcL3xFlj37EzF+dl5p2kZkfErk
 G1WNKSXbSMuv9vsCvLutCZtZA/w5cMOgLKfrD/EL6vrqjruuy+EF6FMV5fy4
 TURfovryU+AX06ZagE8xRjuNKHs1cPUW4B8DfnpQltcvwgOE7+7eHUuR5Xo4
 tG0i2wt37bQh6S3K31aUbWtf71TtP1/1sc+mdNdC5KuFyJ+2i2qjvw34F+BH
 NoE/DPzkoCzv3VCNOlQ1HDsED9zv/hlEjvUWoNudg/X+dUEqy+Wqb3xlCL3F
 yItI3TYip4Vv7W3ApZvAfwN40aAsHz7dCWFXv38ZcPF4PG4iVEfMDj1DZOU8
 kR09EbYtNt8LqdSW06UXhbD3XvePHU5p2u6mbdpFrfb7LwNuWt9A29i+C/zc
 oCy/vVk/UAHjdgwn8IMvpHSbw/cXdw4W28H5w90Fdogc/OuieMMp8HYG+EuB
 f94E/hjwqkFZfmuzh0NbfTISkfmO8LCCJz7RNDf3ROp5U9JbWIUXW8Ac6Iv8
 6d293i8ttICcBv4C4JPA7s1q/KAsv7aVmqruPl3Yzl5rK8vxUuTwfWZ/twzp
 pLQ5pQXMZ3K46MIHH9qx441tadwI/vltc3LJJkw3Ae/f6qKgDhN3H65LAZHj
 rSA7fluMn37C/SNLbVWad1GntoBhNpUBuBm4fbXf/5nVfr/Tgu9b7fffA9wB
 XLAJzy3A7wzK0rfqgOzfv/9FZvbisizNzFJKaWpmo7a2r50nUt/U6dzYF3nh
 vIvKntq/bnTvYSvRu22vvpl9H3jJoCwfPRs9oTZLoTURWTtFTR4HRkfdn7zb
 7O2FyFqxcfN9unuvANu3CD8Cfvls4WcPMUwXwdsOal3fuPv4hqa5p3F/z2IL
 uIUu6mzsxkFZfvnpXKgiVCIybMeaCGttREas/ybl1WsmkxsC/NcW+teztX8E
 3v50L545AENZV5TzH9eYzFtAd6+fFKmfdL9GYHQO4R8F/mRQlva0HVANtSgj
 URkG1RGyvqhN2i3yWlWju6cXHzv2XRV5/TmCfwL4xUFZ/u8PcxNVoVHRsaqO
 RWWkouvCzN0bVW3MLNV1PV9db2lF2A9rbxmU5f0/7E0UJAaVcRaySVCdiMh0
 Ji+8VtXG3U/qotrp/qNWqzxde9egLD98LqZRVUghhEmWhamqVqpSi0gDEoHU
 NPVTdE0rsH5zs43X09hH2gCcE9Msy1MIocrzrApZqEIItapGVbWUkrtvDDko
 y08Cbz3L73sP8PpBWcZz5kCeB8uyrC7yvMmyLGYhpBA0qeq8DTyT/QXw3i1+
 1z8BfzAoy4pzaPrVr33dVaXpdDqxyPOU51kKqj5c+CHtdNZqlt8Gbt3k1JuB
 3xqUZeIc26yPN5KqWJ5llue5Hzn6xJZzu02HXwFuaBvvUzdl3wxce64jf+Jf
 H1q78nmXSR2N+x94wJ/uzVb7/ecCvwdc1G5/3DQoywf5f7T/A1Ta7L86CJKa
 AAAAAElFTkSuQmCC

Package: libespeak
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, espeak-data (= ${binary:Version})
Description: eSpeak speech synthesizer library

Package: libespeak-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, libespeak (= ${binary:Version})
Description: eSpeak speech synthesizer development files

Package: espeak-data
Architecture: all
Section: data
Suggests: espeak-extra-data
Description: eSpeak speech data files

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 IS_DIABLO=$(shell if grep Diablo /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=espeak-1.45.28
+DEB_TAR_SRCDIR:=espeak-1.45.29
 #DEB_TAR_SRCDIR:=espeak-1.45.03-source/src
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 #DEB_MAKE_BUILD_TARGET:=all AUDIO=none

## espeak 1.45.30

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE:=espeak
-VERSION:=1.45.29
+VERSION:=1.45.30
 # Release
 # URLS=$(URL_SFNET)/espeak
 # Test

=== debian/changelog ===
espeak (1.45.30) stable; urgency=low

  * New upstream test release.
  * Upstream changes:
  * - Pronounciation fixes for voices: en, hu, nl, ta
  * - Voice name spelling fixes
  * - Buffer size check fix

 -- Kaj-Michael Lang <milang@tal.org>  Thu, 16 Jun 2011 09:55:00 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: espeak
 Priority: optional
 Maintainer: Kaj-Michael Lang
-Build-Depends: debhelper (>= 4.1.0), cdbs, pulseaudio-dev
+Build-Depends: debhelper (>= 4.1.0), cdbs, portaudio19-dev
 Standards-Version: 3.8.0
 
 Package: espeak

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 IS_DIABLO=$(shell if grep Diablo /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=espeak-1.45.29
+DEB_TAR_SRCDIR:=espeak-1.45.30
 #DEB_TAR_SRCDIR:=espeak-1.45.03-source/src
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 #DEB_MAKE_BUILD_TARGET:=all AUDIO=none

## espeak 1.46.02

=== src/Makefile ===
# remove -fno-exceptions  if it causes problems with stdio library on some platforms (ARM)

DATADIR=/usr/share/espeak-data

PREFIX=/usr
BINDIR=$(PREFIX)/bin
INCDIR=$(PREFIX)/include/espeak
LIBDIR=$(PREFIX)/lib

RELEASE = 1.46
BIN_NAME = speak
BIN2_NAME = espeak
LIB_NAME = libespeak.so
STATIC_LIB_NAME = libespeak.a
LIB_VERSION = 1
LIBTAG = $(LIB_VERSION).$(RELEASE)

# Use SONAME_OPT=-Wl,h, on Solaris
SONAME_OPT=-Wl,-soname,

# Use EXTRA_LIBS=-lm on Solaris
EXTRA_LIBS =

INSTALL = install
LN_SF = /bin/ln -sf
MKDIR = mkdir -p

# 'runtime' uses pulseaudio if it is running, else uses portaudio
#AUDIO = runtime
AUDIO = portaudio
#AUDIO = portaudio0
#AUDIO = portaudio2
#AUDIO = pulseaudio
#AUDIO = sada

ifeq ($(AUDIO),runtime)
WAVE=wave.cpp wave_pulse.cpp
LIB_AUDIO=-lpulse -lpulse-simple -lportaudio
USE_AUDIO=-DUSE_PULSEAUDIO -DUSE_PORTAUDIO
else
ifeq ($(AUDIO),pulseaudio)
WAVE=wave_pulse.cpp
LIB_AUDIO=-lpulse
USE_AUDIO=-DUSE_PULSEAUDIO
else
ifeq ($(AUDIO),portaudio)
WAVE=wave.cpp
LIB_AUDIO=-lportaudio
USE_AUDIO=-DUSE_PORTAUDIO
else
ifeq ($(AUDIO),portaudio0)
WAVE=wave.cpp
LIB_AUDIO=/usr/lib/libportaudio.so.0
USE_AUDIO=-DUSE_PORTAUDIO
else
ifeq ($(AUDIO),portaudio2)
WAVE=wave.cpp
LIB_AUDIO=/usr/lib/libportaudio.so.2
USE_AUDIO=-DUSE_PORTAUDIO
else
ifeq ($(AUDIO),sada)
WAVE=wave_sada.cpp
USE_AUDIO=-DUSE_SADA
else
WAVE=wave.cpp
endif
endif
endif
endif
endif
endif

speak_SOURCES = speak.cpp compiledict.cpp dictionary.cpp intonation.cpp \
	readclause.cpp setlengths.cpp numbers.cpp synth_mbrola.cpp \
	synthdata.cpp synthesize.cpp translate.cpp mbrowrap.cpp \
	tr_languages.cpp voices.cpp wavegen.cpp phonemelist.cpp klatt.cpp sonic.cpp

libespeak_SOURCES = speak_lib.cpp compiledict.cpp dictionary.cpp intonation.cpp \
	readclause.cpp setlengths.cpp numbers.cpp synth_mbrola.cpp \
	synthdata.cpp synthesize.cpp translate.cpp mbrowrap.cpp \
	tr_languages.cpp voices.cpp wavegen.cpp phonemelist.cpp \
	espeak_command.cpp event.cpp fifo.cpp $(WAVE) debug.cpp klatt.cpp sonic.cpp

SRCS1=$(speak_SOURCES)
OBJS1=$(patsubst %.cpp,%.o,$(SRCS1))
LIBS1=-lstdc++ $(LIB_AUDIO) -lpthread $(EXTRA_LIBS)

SRCS2=$(libespeak_SOURCES)
OBJS2=$(patsubst %.cpp,x_%.o,$(SRCS2))
LIBS2=-lstdc++ $(LIB_AUDIO) -lpthread

SRCS3 = espeak.cpp
OBJS3=$(patsubst %.cpp,%.o,$(SRCS3))
LIBS3=-lstdc++ -L . -lespeak

CXXFLAGS=-O2


all: $(BIN_NAME) $(LIB_NAME) $(STATIC_LIB_NAME) $(BIN2_NAME)

.cpp.o:
	$(CXX) $(CXXFLAGS) $(USE_AUDIO) -D PATH_ESPEAK_DATA=\"$(DATADIR)\" -Wall -pedantic -I. -c -fno-exceptions  $<

$(BIN_NAME): $(OBJS1)
	$(CXX) $(LDFLAGS) -o $@ $(OBJS1) $(LIBS1)

$(BIN2_NAME): $(OBJS3) $(LIB_NAME)
	$(CXX) $(LDFLAGS) -o $@ $(OBJS3) $(LIBS3)



x_%.o: %.cpp
	$(CXX) $(CXXFLAGS) $(USE_AUDIO) -D PATH_ESPEAK_DATA=\"$(DATADIR)\" -Wall -fpic -fvisibility=hidden -pedantic \
	-I. -D LIBRARY -c -fno-exceptions  $<  -o x_$*.o

$(LIB_NAME): $(OBJS2)
	$(CXX) $(LDFLAGS) -shared $(SONAME_OPT)$(LIB_NAME).$(LIB_VERSION) -o $@ \
	$(OBJS2) $(LIBS2)
	mv $(LIB_NAME) $(LIB_NAME).$(LIBTAG)
	$(LN_SF) $(LIB_NAME).$(LIBTAG) $(LIB_NAME).$(LIB_VERSION)
	$(LN_SF) $(LIB_NAME).$(LIB_VERSION) $(LIB_NAME)

$(STATIC_LIB_NAME): $(OBJS2)
	$(AR) cqs $(STATIC_LIB_NAME) $(OBJS2)

clean:
	rm -f *.o *.a *~

distclean: clean
	rm -f $(BIN_NAME)
	rm -f $(BIN2_NAME)
	rm -f $(LIB_NAME)*

install: all
	# Create directories
	rm -rf $(DESTDIR)$(DATADIR)
	$(MKDIR) $(DESTDIR)$(BINDIR)
	$(MKDIR) $(DESTDIR)$(LIBDIR)
	$(MKDIR) $(DESTDIR)$(INCDIR)
	$(MKDIR) $(DESTDIR)$(DATADIR)
	# Install espeak executable
	$(INSTALL) -m 755 $(BIN2_NAME) $(DESTDIR)$(BINDIR)
	# Install shared library
	$(INSTALL) -m 755 $(LIB_NAME).$(LIBTAG) $(DESTDIR)$(LIBDIR)
	# Install static library
	$(INSTALL) -m 755 $(STATIC_LIB_NAME) $(DESTDIR)$(LIBDIR)
	$(LN_SF) $(LIB_NAME).$(LIBTAG) $(DESTDIR)$(LIBDIR)/$(LIB_NAME).$(LIB_VERSION)
	$(LN_SF) $(LIB_NAME).$(LIB_VERSION) $(DESTDIR)$(LIBDIR)/$(LIB_NAME)
	# Install development headers
	$(INSTALL) -pm 644 speak_lib.h $(DESTDIR)$(INCDIR)
	# Install data files
	cp -prf ../espeak-data/* $(DESTDIR)$(DATADIR)

=== debian/changelog ===
espeak (1.46.02-2) unstable; urgency=low

  * debian/rules: Move espeak-data to /usr/lib/$multiarch/espeak-data to
    permit...
  * debian/control: ... make espeak-data multiarch: same.
  * control:
    - Bump Standards-Version to 3.9.3 (no changes).
    - Do not make espeak-data recommend espeak (Closes: Bug#674851).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 08 Jun 2012 22:52:29 +0200

espeak (1.46.02-1) unstable; urgency=low

  [ Luke Yelavich ]
  * Update the explanation of the -b command-line flag in the espeak manpage
  * New upstream release
  * debian/control: Add libpulse-dev as a build dependency
  * debian/rules:
    - Build espeak with AUDIO=runtime
    - Reinstate parsing the changelog for the soname version, and extend the
      command to only extract the major version of the soname
  * debian/patches/leak: Dropped, applied upstream
  * Build for multi-arch
  * Fix some lintian warnings

  [ Samuel Thibault ]
  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.

 -- Luke Yelavich <themuso@ubuntu.com>  Sun, 08 Jan 2012 11:33:31 +0000

espeak (1.45.04-2) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/control: Build-depend on libsonic-dev.
  * debian/patches/sonic: New patch to make espeak use the system libsonic
    instead of its copy.
  * debian/patches/leak: Fix fd leak (Closes: Bug#638745).

  [ Boris Dušek ]
  * espeak-dbg: Fix package description

 -- Boris Dušek <dusek@brailcom.org>  Wed, 15 Jun 2011 13:24:20 +0200

=== debian/control ===
Source: espeak
Section: sound
Priority: optional
Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/espeak.git;a=summary
Vcs-Git: git://git.debian.org/git/pkg-a11y/espeak.git
Homepage: http://espeak.sourceforge.net/
Build-Depends: debhelper (>= 5.0.0), portaudio19-dev, libsonic-dev, hardening-wrapper, libpulse-dev
Standards-Version: 3.9.3

Package: espeak
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi-lingual software speech synthesizer
 eSpeak is a software speech synthesizer for English, and some other
 languages.
 .
 eSpeak produces good quality English speech. It uses a different synthesis
 method from other open source text to speech (TTS) engines, and sounds quite
 different. It's perhaps not as natural or "smooth", but some find the
 articulation clearer and easier to listen to for long periods.
 .
 It can run as a command line program to speak text from a file or from stdin.
 .
   * Includes different Voices, whose characteristics can be altered.
   * Can produce speech output as a WAV file.
   * Can translate text to phoneme codes, so it could be adapted as a front end
     for another speech synthesis engine.
   * Potential for other languages. More than 40 languages are included.
   * Compact size. The program and its data total about 350 kbytes.
   * Written in C++.

Package: espeak-data
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: Multi-lingual software speech synthesizer: speech data files
 eSpeak is a software speech synthesizer for English, and some other
 languages.
 .
 This package contains necessary synthesizer data files needed
 for the espeak program, and the shared library.

Package: espeak-data-udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}
Package-Type: udeb
Description: Multi-lingual software speech synthesizer: data for d-i
 eSpeak is a software speech synthesizer for English, and some other
 languages.
 .
 This package contains necessary synthesizer data files needed
 for the espeak program, and the shared library, packed for the Debian
 Installer.

Package: libespeak1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, espeak-data (= ${binary:Version})
Description: Multi-lingual software speech synthesizer: shared library
 eSpeak is a software speech synthesizer for English, and some other
 languages.
 .
 This package contains the espeak program in a shared library.

Package: libespeak-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libespeak1 (= ${binary:Version})
Description: Multi-lingual software speech synthesizer: development files
 eSpeak is a software speech synthesizer for English, and some other
 languages.
 .
 This package contains the eSpeak development files needed to
 build against the espeak shared library.

Package: espeak-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, espeak (= ${binary:Version}), libespeak1 (= ${binary:Version})
Description: Multi-lingual software speech synthesizer: debugging symbols
 eSpeak is a software speech synthesizer for English, and some other
 languages.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

soname=libespeak.so.1
version=$(shell dpkg-parsechangelog|sed -n -e 's/^Version: //p'|cut -d- -f1|cut -d. -f1-2)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
ESPEAK_DATA=/usr/lib/$(DEB_HOST_MULTIARCH)

CFLAGS = -Wall -g

export DEB_BUILD_HARDENING=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp:
	dh_testdir

	cp src/portaudio19.h src/portaudio.h
	cd src && CXXFLAGS="$(CXXFLAGS) $(CFLAGS)" $(MAKE) DATADIR=$(ESPEAK_DATA)/espeak-data libespeak.a
	cd src && CXXFLAGS="$(CXXFLAGS) $(CFLAGS)" $(MAKE) DATADIR=$(ESPEAK_DATA)/espeak-data espeak AUDIO=runtime

	# Build static speak binary
	cd platforms/big_endian && CFLAGS="$(CFLAGS)" $(MAKE)
	# Build voice metadata.
	cp -a $(CURDIR)/espeak-data $(CURDIR)/espeak-data-local
	$(CURDIR)/platforms/big_endian/espeak-phoneme-data $(CURDIR)/espeak-data-local $(CURDIR)/espeak-data-local $(CURDIR)/platforms/big_endian/phondata-manifest

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-cd src && $(MAKE) distclean
	cp -f src/portaudio18.h src/portaudio.h
	-cd platforms/big_endian && $(MAKE) clean

	rm -fr espeak-data-local

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	install -m 755 -o root -g root src/espeak $(CURDIR)/debian/espeak/usr/bin/espeak
	install -d $(CURDIR)/debian/espeak-data$(ESPEAK_DATA)
	cp -r espeak-data-local $(CURDIR)/debian/espeak-data$(ESPEAK_DATA)/espeak-data
	find $(CURDIR)/debian/espeak-data/usr/lib -type f -exec chmod 644 {} \;
	find $(CURDIR)/debian/espeak-data/usr/lib -type d -exec chmod 755 {} \;
	cp -al $(CURDIR)/debian/espeak-data/usr $(CURDIR)/debian/espeak-data-udeb
	rm -fr $(CURDIR)/debian/espeak-data-udeb$(ESPEAK_DATA)/espeak-data/mbrola* $(CURDIR)/debian/espeak-data-udeb$(ESPEAK_DATA)/espeak-data/voices/mb $(CURDIR)/debian/espeak-data-udeb$(ESPEAK_DATA)/espeak-data/voices/test
	mkdir -p $(CURDIR)/debian/libespeak1$(ESPEAK_DATA)
	mkdir -p $(CURDIR)/debian/libespeak-dev$(ESPEAK_DATA)
	install -m 644 -o root -g root src/$(soname).$(version) $(CURDIR)/debian/libespeak1$(ESPEAK_DATA)/$(soname).$(version)
	cd $(CURDIR)/debian/libespeak1$(ESPEAK_DATA) && ln -s $(soname).$(version) $(soname)
	cd $(CURDIR)/debian/libespeak1$(ESPEAK_DATA) && ln -s $(soname).$(version) libespeak.so 
	mv $(CURDIR)/debian/libespeak1$(ESPEAK_DATA)/libespeak.so $(CURDIR)/debian/libespeak-dev$(ESPEAK_DATA)
	install -m 644 -o root -g root src/libespeak.a $(CURDIR)/debian/libespeak-dev$(ESPEAK_DATA)
	install -m 644 -o root -g root src/speak_lib.h $(CURDIR)/debian/libespeak-dev/usr/include/espeak

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog.txt
	dh_installdocs
	dh_installman debian/espeak.1
	dh_link
	dh_strip --dbg-package=espeak-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_shlibdeps -L libespeak1 -l debian/libespeak1/usr/lib
	dh_installdeb -v
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## espeak 1.46.11

=== Makefile ===
PACKAGE:=espeak
VERSION:=1.46.11
# Release
# URLS=$(URL_SFNET)/espeak
# Test
#URLS=http://espeak.sourceforge.net/test

#SOURCE:=espeak-$(VERSION)-source.zip
#SOURCE:=espeak-$(VERSION).zip
SOURCE:=espeak-$(VERSION).tar.bz2

include ../Rules.make

ifeq ($(IS_DIABLO),y)
ADRIVER:=portaudio19
else
ADRIVER:=pulseaudio
endif

debian/control:: debian/control.in Makefile debian/rules debian/changelog
	@echo "*** Using audio driver: $(ADRIVER)"
	sed -e s,@AUDIODRIVER@,$(ADRIVER), debian/control.in > debian/control

clean::
	rm -f debian/control

=== debian/changelog ===
espeak (1.46.11) stable; urgency=low

  * New upstream test release.
  * Don't use old fi_dict copy

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 27 Dec 2011 13:42:00 +0200

espeak (1.46.10) stable; urgency=low

  * New upstream test release.
  * Update patches for new release

 -- Kaj-Michael Lang <milang@tal.org>  Thu, 22 Dec 2011 11:15:00 +0200

espeak (1.45.36) stable; urgency=low

  * New upstream test release.
  * Various fixes

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 05 Aug 2011 11:45:00 +0300

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
IS_DIABLO=$(shell if grep Diablo /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
IS_HARMATTAN=$(shell if grep unstable /etc/debian_version &> /dev/null; then echo y; else echo n; fi)

DEB_TAR_SRCDIR:=espeak-1.46.11
#DEB_TAR_SRCDIR:=espeak-1.45.03-source/src
DEB_DESTDIR=$(CURDIR)/debian/tmp
#DEB_MAKE_BUILD_TARGET:=all AUDIO=none
#DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR) AUDIO=none

# Portaudio for Diablo, Pulseaudio for the rest
# And move data files to /opt, this sucks so bad
#
ifeq ($(IS_DIABLO),y)
DEB_MAKE_BUILD_TARGET:=all AUDIO=portaudio
DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR) AUDIO=portaudio
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
ES_DATA_DIR=/usr/share/espeak-data
else
DEB_MAKE_BUILD_TARGET:=all AUDIO=pulseaudio DATADIR=/opt/espeak/data
DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR) AUDIO=pulseaudio DATADIR=/opt/espeak/data
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8 -mfpu=neon -mfloat-abi=softfp
ES_DATA_DIR=/opt/espeak/data
endif

# Make sure we get properly optimized
DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe -march=i686 -mtune=pentium2
DEB_OPT_FLAG:=$(DEB_OPT_FLAG_$(DEB_HOST_ARCH))

DEB_MAKE_INVOKE = $(DEB_MAKE_ENVVARS) make -C $(DEB_BUILDDIR)/src

include /usr/share/cdbs/1/rules/tarball.mk

configure/espeak::
	-make -C build-tree/$(DEB_TAR_SRCDIR)/src clean
	cp build-tree/$(DEB_TAR_SRCDIR)/src/portaudio19.h build-tree/$(DEB_TAR_SRCDIR)/src/portaudio.h
ifeq ($(IS_DIABLO),y)
	sed -e s,@DATADIR@,/usr/share/espeak-data, debian/espeak-data.install.in > debian/espeak-data.install 
else
	sed -i -e s,/usr/share/espeak-data,/opt/espeak/data, build-tree/$(DEB_TAR_SRCDIR)/src/speech.h
	sed -e s,@DATADIR@,/opt/espeak/data, debian/espeak-data.install.in > debian/espeak-data.install 
endif

# argh, stupid software writes directly to DATADIR even if not installed yet, need to pre-generate and package those instead
build/espeak::
	make -C build-tree/$(DEB_TAR_SRCDIR)/src $(DEB_MAKE_BUILD_TARGET)

espeak-compile-extras:
	@echo "Building extra languages data"
	cp ru_listx zh_listx zhy_list build-tree/$(DEB_TAR_SRCDIR)/dictsource/
	cd build-tree/$(DEB_TAR_SRCDIR)/dictsource/ && ./src/espeak --compile=ru
	cd build-tree/$(DEB_TAR_SRCDIR)/dictsource/ && ./src/espeak --compile=zh-yue
	cd build-tree/$(DEB_TAR_SRCDIR)/dictsource/ && ./src/espeak --compile=zh

install/espeak-data::
	rm debian/tmp/$(ES_DATA_DIR)/ru_dict
	rm debian/tmp/$(ES_DATA_DIR)/zhy_dict
	rm debian/tmp/$(ES_DATA_DIR)/zh_dict
#	install -m 644 debian/fi_dict debian/tmp/$(ES_DATA_DIR)/fi_dict

install/espeak::
	strip -g debian/tmp/usr/bin/espeak

## espeak 1.46.12

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE:=espeak
-VERSION:=1.46.11
+VERSION:=1.46.12
 # Release
 # URLS=$(URL_SFNET)/espeak
 # Test

=== debian/changelog ===
espeak (1.46.12) stable; urgency=low

  * New upstream test release.
  * Fixes to en,hu,ta languages

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 13 Jan 2012 14:22:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 IS_DIABLO=$(shell if grep Diablo /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 IS_HARMATTAN=$(shell if grep unstable /etc/debian_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=espeak-1.46.11
+DEB_TAR_SRCDIR:=espeak-1.46.12
 #DEB_TAR_SRCDIR:=espeak-1.45.03-source/src
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 #DEB_MAKE_BUILD_TARGET:=all AUDIO=none

## espeak 1.46.13

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE:=espeak
-VERSION:=1.46.12
+VERSION:=1.46.13
 # Release
 # URLS=$(URL_SFNET)/espeak
 # Test

=== debian/changelog ===
espeak (1.46.13) stable; urgency=low

  * New upstream test release.

 -- Kaj-Michael Lang <milang@tal.org>  Mon, 30 Jan 2012 17:22:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 IS_DIABLO=$(shell if grep Diablo /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 IS_HARMATTAN=$(shell if grep unstable /etc/debian_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=espeak-1.46.12
+DEB_TAR_SRCDIR:=espeak-1.46.13
 #DEB_TAR_SRCDIR:=espeak-1.45.03-source/src
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 #DEB_MAKE_BUILD_TARGET:=all AUDIO=none

## espeak 1.46.17

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE:=espeak
-VERSION:=1.46.13
+VERSION:=1.46.17
 # Release
 # URLS=$(URL_SFNET)/espeak
 # Test

=== debian/changelog ===
espeak (1.46.17) stable; urgency=low

  * New upstream test release.
  * Upstream changes:
  * -Pronounciation fixes for: da, en, fr, hu, pa, pt, ta
  *  -Number handling fixes for: tr

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 08 May 2012 12:55:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 IS_DIABLO=$(shell if grep Diablo /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 IS_HARMATTAN=$(shell if grep unstable /etc/debian_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=espeak-1.46.13
+DEB_TAR_SRCDIR:=espeak-1.46.17
 #DEB_TAR_SRCDIR:=espeak-1.45.03-source/src
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 #DEB_MAKE_BUILD_TARGET:=all AUDIO=none

## espeak 1.46.20

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE:=espeak
-VERSION:=1.46.17
+VERSION:=1.46.20
 # Release
 # URLS=$(URL_SFNET)/espeak
 # Test

=== debian/changelog ===
espeak (1.46.20) stable; urgency=low

  * New upstream test release.
  * Upstream changes:
  * -Pronounciation fixes for: de, ka, pt, ta, ur, lt, en, et, hu, pl

 -- Kaj-Michael Lang <milang@tal.org>  Sun, 22 Jul 2012 21:04:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 IS_DIABLO=$(shell if grep Diablo /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 IS_HARMATTAN=$(shell if grep unstable /etc/debian_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=espeak-1.46.17
+DEB_TAR_SRCDIR:=espeak-1.46.20
 #DEB_TAR_SRCDIR:=espeak-1.45.03-source/src
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 #DEB_MAKE_BUILD_TARGET:=all AUDIO=none

## espeak 1.46.22

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE:=espeak
-VERSION:=1.46.20
+VERSION:=1.46.22
 # Release
 # URLS=$(URL_SFNET)/espeak
 # Test

=== debian/changelog ===
espeak (1.46.22) stable; urgency=low

  * New upstream test release.
  * Upstream changes:
  * -Pronounciation fixes for various languages

 -- Kaj-Michael Lang <milang@tal.org>  Mon, 13 Aug 2012 12:25:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 IS_DIABLO=$(shell if grep Diablo /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 IS_HARMATTAN=$(shell if grep unstable /etc/debian_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=espeak-1.46.20
+DEB_TAR_SRCDIR:=espeak-1.46.22
 #DEB_TAR_SRCDIR:=espeak-1.45.03-source/src
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 #DEB_MAKE_BUILD_TARGET:=all AUDIO=none

## espeak 1.46.26

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE:=espeak
-VERSION:=1.46.22
+VERSION:=1.46.26
 # Release
 # URLS=$(URL_SFNET)/espeak
 # Test

=== debian/changelog ===
espeak (1.46.26) stable; urgency=low

  * New upstream test release.
  * Upstream changes:
  * -Pronounciation fixes for various languages

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 28 Sep 2012 11:17:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 IS_DIABLO=$(shell if grep Diablo /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 IS_HARMATTAN=$(shell if grep unstable /etc/debian_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=espeak-1.46.22
+DEB_TAR_SRCDIR:=espeak-1.46.26
 #DEB_TAR_SRCDIR:=espeak-1.45.03-source/src
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 #DEB_MAKE_BUILD_TARGET:=all AUDIO=none

## espeak 1.46.27

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE:=espeak
-VERSION:=1.46.26
+VERSION:=1.46.27
 # Release
 # URLS=$(URL_SFNET)/espeak
 # Test

=== debian/changelog ===
espeak (1.46.27) stable; urgency=low

  * New upstream test release.
  * Upstream changes:
  * -Pronounciation fixes for various languages (cy, de, en, ka, ne, pt, ta)

 -- Kaj-Michael Lang <milang@tal.org>  Mon, 05 Nov 2012 11:57:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 IS_DIABLO=$(shell if grep Diablo /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 IS_HARMATTAN=$(shell if grep unstable /etc/debian_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=espeak-1.46.26
+DEB_TAR_SRCDIR:=espeak-1.46.27
 #DEB_TAR_SRCDIR:=espeak-1.45.03-source/src
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 #DEB_MAKE_BUILD_TARGET:=all AUDIO=none

## espeak 1.47.11

=== platforms/big_endian/Makefile ===
CC = gcc

CFLAGS += -g3 -Wall -O0

all: espeak-phoneme-data

espeak-phoneme-data: espeak-phoneme-data.c
	$(CC) $(CFLAGS) -o $@ $<

clean:
	rm -f espeak-phoneme-data

=== debian/changelog ===
espeak (1.47.11-1ubuntu1) trusty; urgency=medium

  * Add debian/espeak-data.preinst.in: Move aside
    /usr/lib/<arch>/espeak-data/voices/en for upgrades; this directory got
    replaced with file, and triggers a bug in overlays when dist-upgrading
    containers. Add some magic to debian/rules to create the .preinst with
    filling out the particular architecture (as dpkg-architecure may not be
    available in the preinst).  This is a hackish workaround and can be
    dropped again in trusty+1. (LP: #1220681)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 21 Jan 2014 14:48:33 +0100

espeak (1.47.11-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Use phondata-manifest in the espeak-data directory
  * Updated espeak manpage
  * Updated copyright

  [ Jason White ]
  * Pass compiler flags on make command line so they won't be ignored.
    (Closes: #707925)
  * Rebuild object files with AUDIO=runtime after building static library
    without it. (Closes: #707912)

  [ Samuel Thibault ]
  * Add utf-8-init patch to fix initialization of utf-8 locale for proper
    character properties detection.
  * Add pulse-trigger-on-final-chunk patch to flush the pulse output.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 19 Jun 2013 20:57:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: espeak
 Section: sound
 Priority: optional
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/espeak.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/espeak.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

soname=libespeak.so.1
version=$(shell dpkg-parsechangelog|sed -n -e 's/^Version: //p'|cut -d- -f1|cut -d. -f1-2)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
ESPEAK_DATA=/usr/lib/$(DEB_HOST_MULTIARCH)

CFLAGS = -Wall -g

export DEB_BUILD_HARDENING=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp:
	dh_testdir

	cp src/portaudio19.h src/portaudio.h
	cd src && $(MAKE) CXXFLAGS="$(CXXFLAGS) $(CFLAGS)" DATADIR=$(ESPEAK_DATA)/espeak-data libespeak.a
	# Remove object files so we can rebuild them with
	# AUDIO=runtime enabled
	rm -f src/*.o
	cd src && $(MAKE) CXXFLAGS="$(CXXFLAGS) $(CFLAGS)" DATADIR=$(ESPEAK_DATA)/espeak-data espeak AUDIO=runtime

	# Build static speak binary
	cd platforms/big_endian && CFLAGS="$(CFLAGS)" $(MAKE)
	# Build voice metadata.
	cp -a $(CURDIR)/espeak-data $(CURDIR)/espeak-data-local
	$(CURDIR)/platforms/big_endian/espeak-phoneme-data $(CURDIR)/espeak-data-local $(CURDIR)/espeak-data-local $(CURDIR)/espeak-data-local/phondata-manifest

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-cd src && $(MAKE) distclean
	cp -f src/portaudio18.h src/portaudio.h
	-cd platforms/big_endian && $(MAKE) clean

	rm -fr espeak-data-local

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	install -m 755 -o root -g root src/espeak $(CURDIR)/debian/espeak/usr/bin/espeak
	install -d $(CURDIR)/debian/espeak-data$(ESPEAK_DATA)
	cp -r espeak-data-local $(CURDIR)/debian/espeak-data$(ESPEAK_DATA)/espeak-data
	find $(CURDIR)/debian/espeak-data/usr/lib -type f -exec chmod 644 {} \;
	find $(CURDIR)/debian/espeak-data/usr/lib -type d -exec chmod 755 {} \;
	cp -al $(CURDIR)/debian/espeak-data/usr $(CURDIR)/debian/espeak-data-udeb
	rm -fr $(CURDIR)/debian/espeak-data-udeb$(ESPEAK_DATA)/espeak-data/mbrola* $(CURDIR)/debian/espeak-data-udeb$(ESPEAK_DATA)/espeak-data/voices/mb $(CURDIR)/debian/espeak-data-udeb$(ESPEAK_DATA)/espeak-data/voices/test
	mkdir -p $(CURDIR)/debian/libespeak1$(ESPEAK_DATA)
	mkdir -p $(CURDIR)/debian/libespeak-dev$(ESPEAK_DATA)
	install -m 644 -o root -g root src/$(soname).$(version) $(CURDIR)/debian/libespeak1$(ESPEAK_DATA)/$(soname).$(version)
	cd $(CURDIR)/debian/libespeak1$(ESPEAK_DATA) && ln -s $(soname).$(version) $(soname)
	cd $(CURDIR)/debian/libespeak1$(ESPEAK_DATA) && ln -s $(soname).$(version) libespeak.so 
	mv $(CURDIR)/debian/libespeak1$(ESPEAK_DATA)/libespeak.so $(CURDIR)/debian/libespeak-dev$(ESPEAK_DATA)
	install -m 644 -o root -g root src/libespeak.a $(CURDIR)/debian/libespeak-dev$(ESPEAK_DATA)
	install -m 644 -o root -g root src/speak_lib.h $(CURDIR)/debian/libespeak-dev/usr/include/espeak

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog.txt
	dh_installdocs
	dh_installman debian/espeak.1
	dh_link
	dh_strip --dbg-package=espeak-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_shlibdeps -L libespeak1 -l debian/libespeak1/usr/lib
	# workaround for LP#1220681; drop in trusty+1
	sed "s!@DATADIR@!$(ESPEAK_DATA)!g" debian/espeak-data.preinst.in > debian/espeak-data.preinst
	dh_installdeb -v
	rm debian/espeak-data.preinst
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://sf.net/espeak/espeak-([\d.]*)-source\.zip

## espeak 1.48.04%2Bdfsg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// http://sf.net/espeak/espeak-@ANY_VERSION@-source@ARCHIVE_EXT@

## espeak 1.48.04+dfsg

=== debian/changelog ===
espeak (1.48.04+dfsg-1) unstable; urgency=medium

  * Rebuild upstream tarball without windows platform files.
  * watch: Mangle version for +dfsg.
  * copyright: Add portaudio and sonic licences. Closes: Bug#747214.
  * Remove libespeak1-udeb, we will continue linking espeakup statically.
    Closes: Bug#747240.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Jul 2014 12:04:40 +0200

espeak (1.48.04-1) unstable; urgency=medium

  * New upstream release
  * copyright: Update.
  * patches/utf-8-init: Refresh.
  * rules: Fix privacy-breach-logo.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 May 2014 19:05:04 +0200

espeak (1.47.11-2) unstable; urgency=medium

  * Add libespeak1-udeb shared library for the installer, so it can be
    upgraded at the same time as libespeak-data.

  * libespeak1.shlibs: Remove file, replaced by dh_makeshlibs call.
  * Remove pulse-trigger-on-final-chunk, it actually does not have effect.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Feb 2014 00:50:40 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: espeak
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/espeak.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/espeak.git
 Homepage: http://espeak.sourceforge.net/
 Build-Depends: debhelper (>= 5.0.0), portaudio19-dev, libsonic-dev, hardening-wrapper, libpulse-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 
 Package: espeak
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -90,6 +90,7 @@
 	dh_testroot
 	dh_installchangelogs ChangeLog.txt
 	dh_installdocs
+	sed -i -e 's&<img src="http://sflogo.sourceforge.net[^>]*>&&' debian/espeak/usr/share/doc/espeak/docs/*.html
 	dh_installman debian/espeak.1
 	dh_link
 	dh_strip --dbg-package=espeak-dbg
@@ -97,10 +98,7 @@
 	dh_fixperms
 	dh_makeshlibs -V
 	dh_shlibdeps -L libespeak1 -l debian/libespeak1/usr/lib
-	# workaround for LP#1220681; drop in trusty+1
-	sed "s!@DATADIR@!$(ESPEAK_DATA)!g" debian/espeak-data.preinst.in > debian/espeak-data.preinst
 	dh_installdeb -v
-	rm debian/espeak-data.preinst
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// http://sf.net/espeak/espeak-([\d.]*)-source\.zip
